import org.xbib.interlibrary.common.InterlibraryModule;
import org.xbib.interlibrary.http.server.InterlibraryServerModule;
import org.xbib.interlibrary.ui.statistics.RoyaltiesModule;
import org.xbib.net.http.server.application.ApplicationModule;
import org.xbib.net.http.server.netty.HttpChannelInitializer;
import org.xbib.net.http.server.netty.ServerTransportProvider;
import org.xbib.settings.SettingsLoader;
import org.xbib.interlibrary.ui.ApiModule;

module org.xbib.interlibrary.ui {
    requires java.logging;
    requires org.xbib.interlibrary.api;
    requires org.xbib.interlibrary.common;
    requires org.xbib.interlibrary.db;
    requires org.xbib.interlibrary.order;
    requires org.xbib.interlibrary.statistics;
    requires org.xbib.interlibrary.http.server;
    requires org.xbib.datastructures.common;
    requires org.xbib.config;
    requires org.xbib.datastructures.tiny;
    requires org.xbib.datastructures.json.tiny;
    requires org.xbib.datastructures.yaml.tiny;
    requires org.xbib.settings.api;
    requires org.xbib.settings.datastructures.json;
    requires org.xbib.settings.datastructures.yaml;
    requires org.xbib.net;
    requires org.xbib.net.mime;
    requires org.xbib.net.http;
    requires org.xbib.net.http.server;
    requires org.xbib.net.http.server.netty;
    requires org.xbib.net.http.server.netty.secure;
    requires org.xbib.jdbc.query;
    requires org.xbib.jdbc.pool;
    requires org.xbib.net.http.j2html;
    requires org.xbib.j2html;
    requires org.xbib.interlibrary.action.order;
    requires org.xbib.event.api;
    requires org.xbib.event.common;
    uses ApplicationModule;
    uses HttpChannelInitializer;
    uses ServerTransportProvider;
    uses SettingsLoader;
    exports org.xbib.interlibrary.ui;
    exports org.xbib.interlibrary.ui.admin;
    exports org.xbib.interlibrary.ui.dashboard;
    exports org.xbib.interlibrary.ui.login;
    exports org.xbib.interlibrary.ui.statistics;
    exports org.xbib.interlibrary.ui.statistics.event;
    exports org.xbib.interlibrary.ui.theme;
    provides InterlibraryModule with ApiModule;
    provides InterlibraryServerModule with RoyaltiesModule;
}
