package org.xbib.interlibrary.ui.dashboard;

import org.xbib.interlibrary.http.server.BaseView;
import org.xbib.j2html.tags.DomContent;
import org.xbib.j2html.tags.Tag;
import org.xbib.net.ParameterException;
import org.xbib.net.http.server.HttpRequest;
import org.xbib.net.http.server.application.Application;
import org.xbib.net.http.server.resource.HtmlTemplateResource;
import org.xbib.net.http.server.route.HttpRouterContext;

import static org.xbib.j2html.TagCreator.div;
import static org.xbib.j2html.TagCreator.h1;
import static org.xbib.j2html.TagCreator.main;

public class DashboardView extends BaseView {

    public DashboardView(HtmlTemplateResource resource,
                         Application application,
                         HttpRequest request) throws ParameterException {
        super(resource, application, request);
    }

    @Override
    protected DomContent mainContent(HttpRouterContext context, Tag<?>... tags) {
        return main().with(div().attr("class", "container").with(h1("Dashboard")));
    }
}
