package org.xbib.interlibrary.ui.statistics;

import org.xbib.interlibrary.ui.login.LoginController;
import org.xbib.net.ParameterException;
import org.xbib.net.Resource;
import org.xbib.net.http.j2html.J2HtmlResource;
import org.xbib.net.http.j2html.J2HtmlResourceHandler;
import org.xbib.net.http.server.resource.HtmlTemplateResourceHandler;
import org.xbib.net.http.server.route.HttpRouterContext;

import java.io.IOException;

public class RoyaltiesController extends J2HtmlResourceHandler {

    public RoyaltiesController() {
    }

    @Override
    protected Resource createResource(HttpRouterContext context)
            throws IOException, ParameterException {
        return context.isAuthenticated() ?
                new RoyaltiesResource(this, context) :
                new LoginController.LoginFormControllerResource(this, context);
    }

    protected static class RoyaltiesResource extends J2HtmlResource {

        protected RoyaltiesResource(HtmlTemplateResourceHandler templateResourceHandler,
                                    HttpRouterContext httpRouterContext)
                throws IOException, ParameterException {
            super(templateResourceHandler, httpRouterContext);
        }

        @Override
        protected String renderHtml(HttpRouterContext context) throws ParameterException {
            RoyaltiesView view = new RoyaltiesView(this, application, request);
            return view.createPage(context, "VG WORT Statistik");
        }
    }
}
