package org.xbib.interlibrary.ui.statistics.event;

import org.xbib.event.EventConsumer;
import org.xbib.event.bus.Subscribe;
import org.xbib.interlibrary.ui.statistics.RoyaltiesModule;

import java.io.IOException;

public class RoyaltiesStatisticsClockEventConsumer implements EventConsumer {

    private final RoyaltiesModule module;

    public RoyaltiesStatisticsClockEventConsumer(RoyaltiesModule module) {
        this.module = module;
    }

    @Subscribe
    void onEvent(RoyaltiesStatisticsClockEvent event) throws IOException {
        module.executeRoyalties(event);
    }
}
