package org.xbib.interlibrary.ui.login;

import org.xbib.net.ParameterException;
import org.xbib.net.Resource;
import org.xbib.net.http.j2html.J2HtmlResource;
import org.xbib.net.http.j2html.J2HtmlResourceHandler;
import org.xbib.net.http.server.resource.HtmlTemplateResourceHandler;
import org.xbib.net.http.server.route.HttpRouterContext;

import java.io.IOException;

public class LoginController extends J2HtmlResourceHandler {

    public LoginController() {
    }

    @Override
    protected Resource createResource(HttpRouterContext httpRouterContext)
            throws IOException, ParameterException {
        return new LoginFormControllerResource(this, httpRouterContext);
    }

    public static class LoginFormControllerResource extends J2HtmlResource {

        public LoginFormControllerResource(HtmlTemplateResourceHandler templateResourceHandler,
                                              HttpRouterContext httpRouterContext)
                throws IOException, ParameterException {
            super(templateResourceHandler, httpRouterContext);
        }

        @Override
        protected String renderHtml(HttpRouterContext context) throws ParameterException {
            LoginFormView view = new LoginFormView(this, application, request);
            return view.createPage(context, "Anmeldung zur Fernleihe");
        }
    }
}
